/**
 * Admin post scripts.
 */

/* global jQuery, wlea_local_obj */
;( function ( $ ) {
    'use strict';

    $( document ).ready( function () {

        // Local object.
        let backButton = ( wlea_local_obj.hasOwnProperty( 'back_button' ) ? wlea_local_obj.back_button : '' );

        /**
         * Add back button.
         */
        ( function () {
            if ( ( 'string' === typeof backButton ) && ( 0 < backButton.length ) ) {
                $( document ).find( '#wpbody-content .wrap .wp-header-end' ).before( backButton );
            }
        } )();

        /**
         * Copy placeholder.
         */
        ( function () {
            $( '.wlea-placeholder-copy' ).on( 'click', function ( e ) {
                e.preventDefault();

                let thisButton = $( this ),
                    placeholder = thisButton.closest( '.wlea-placeholder-item' ).find( '.wlea-placeholder-content' ).text(),
                    tempInput = $( '<input class="wlea-placeholder-copy-temp-input">' );

                if ( ( 'string' === typeof placeholder ) && ( 0 < placeholder.length ) ) {
                    $( 'body' ).append( tempInput );
                    tempInput.val( placeholder ).select();
                    document.execCommand( 'copy' );
                    tempInput.remove();
                    thisButton.addClass( 'wlea-placeholder-copy-success' );
                    thisButton.removeClass( 'wlea-placeholder-copy-error' );

                    setTimeout( function () {
                        thisButton.removeClass( 'wlea-placeholder-copy-success' );
                        thisButton.removeClass( 'wlea-placeholder-copy-error' );
                    }, 500 );
                }
            } );
        } )();

    } );

} )( jQuery );